LINUX.ORG.RU

Компиляция vlc-snapshot-20110519 (1.2.0-git)


0

1

vlc-snapshot-20110519.tar.xz

./bootstrap
...
./configure
...
checking gme/gme.h usability... no
checking gme/gme.h presence... no
checking for gme/gme.h... no
./configure: line 41415: syntax error near unexpected token `newline'
./configure: line 41415: `  yes:no:'

Полный лог здесь http://pastebin.mozilla-russia.org/108754.

Мои версии пакетов для сборки програм

Autoconf 2.63
automake 1.11.1
gettext 0.17
pkg-config --version : 0.23

Версии vlc-snapshot-20110331.tar.xz, vlc-snapshot-20110426.tar.xz тоже не собираются с такойже ошибкой.

При этом релиз vlc-1.1.9.tar.bz2 компилируется успешно с релизом ffmpeg-0.7-rc1.

А новую vlc из git я хочу собрать из-за того что у меня уже собран ffmpeg который тоже из git.

bootstrap создаёт испорченный configure.
С чем может быть связано ?

>vlc-snapshot-20110331.tar.xz, vlc-snapshot-20110426.tar.xz тоже не собираются с такойже ошибкой.

Ошибка может висеть месяцами никем не замеченная. Вполне возможно. Раз уж любишь снапшоты тестировать, найди бисектом где поломалось от самого отпочкования ветки до snapshot-20110331.

С чем может быть связано ?


А ты думал с гита будет легко? Ну так возьми и посмотри - у тебя ж номера строк даже есть в скрипте configure.

gogi ()
Ответ на: комментарий от gogi

Успешно собрал vlc-snapshot-20110519.tar.xz.

1) configure.ac. Откатил этот патч

2011-03-20 Alexey SokolovFix check for libsidplay2 in ./configure

2) добавил из гита этот недостающий файл

dbus_introspect.h

http://git.videolan.org/

someloruser ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.